package cn.com.qmth.examcloud.exchange.outer.api.provider;

import io.swagger.annotations.ApiOperation;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.common.support.ControllerSupport;
import cn.com.qmth.examcloud.common.support.exception.StatusException;
import cn.com.qmth.examcloud.exchange.outer.api.request.ExamStudentAllInfoReq;
import cn.com.qmth.examcloud.exchange.outer.service.ExamStudentService;

/**
 * 
 * @author  	chenken
 * @date    	2018年5月4日 下午2:08:45
 * @company 	QMTH
 * @description ExamStudentProvider.java
 */
@RestController
@RequestMapping("${outer.url.prefix}/examStudents")
public class ExamStudentProvider  extends ControllerSupport{
	
	@Autowired
	ExamStudentService examStudentService;
	
	@ApiOperation(value = "保存考生信息", notes = "保存考生信息")
	@PostMapping
	public Map<String,String> saveExamStudents(@RequestBody List<ExamStudentAllInfoReq> examStudentInfoList){
		Map<String,String> returnMap = new HashMap<String,String>();
		try{
			examStudentService.saveExamStudents(examStudentInfoList);
			returnMap.put("successMsg", "执行成功");
		}catch(StatusException e){
			throw e;
		}
		return returnMap;
	}
	
}
